Subject: Re: [PATCH 05/22] sequencer: allow the sequencer to take custody of malloc()ed data

From: Junio C Hamano <[email-masked]>
Date: Tue, 30 Aug 2016 11:25:53 -0700

Jakub Narębski <[email-masked]> writes:

> In my personal opinion 'set_me_free_after_use' is not the best name,
> but I unfortunately do not have a better proposal.  Maybe 'entrust_ptr',
> or 'entrusted_data' / 'entrusted_ptr' / 'entrusted'?

Is this to accumulate to-be-freed pointers?

I think we often call a local variable that points at a piece of
memory to be freed "to_free", and that is an appropriate name for
what this function is trying to do.

It is a bit surprising that the careless memory management in this
codepath leaks only the dumb pieces of memory (as opposed to
pointers to structures like string list that needs _clear()
functions, in which case we cannot get away with list of
to-be-freed).  I guess we were somewhat lucky ;-)